From 746dcc7711444816c3190f9b4f802a72619ca054 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: May 17 2019 09:50:28 +0000
Subject: [PATCH 12/88] automatically detect list of languages


---

diff --git a/build-translated.sh b/build-translated.sh
index 9317248..11b657c 100755
--- a/build-translated.sh
+++ b/build-translated.sh
@@ -1,6 +1,14 @@
 #!/bin/bash
 
-languages="cs fr jp"
+languages=""
+
+for file in site-*;
+do
+    # we have site-???.yml, we want ???
+    suffix=${file:5} # remove "site-"
+    lang=${suffix%.yml}   # remove ".yml"
+    languages="$languages $lang"
+done
 
 create_language_menu() {
     {

